﻿-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: Threat")

L:RegisterTranslations("enUS", function() return {
	["Global Threat"] = true,
	["GT"] = true,
} end)

--Chinese Translate by Ananhaid(NovaLOG)@CWDG
--CWDG site: http://Cwowaddon.com
L:RegisterTranslations("zhCN", function() return {
	["Global Threat"] = "全局仇恨",
	["GT"] = "全局仇恨(GT)",
} end)

L:RegisterTranslations("zhTW", function() return {
	["Global Threat"] = "全局仇恨",
	["GT"] = "全局仇恨(GT)",
} end)

L:RegisterTranslations("koKR", function() return {
	["Global Threat"] = "전체 위협수준",
} end)

L:RegisterTranslations("frFR", function() return {
	["Global Threat"] = "Menace globale",
	["GT"] = "MG",
} end)

-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local moduleName = "Global Threat"
local threat

-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule(moduleName)
mod.revision = tonumber(("$Revision: 49446 $"):sub(12, -3)) or 1
mod.version = 5
mod.canMergeData = false
mod.canBroadcast = false
mod.violationCategory = "threat"
mod.dataFormatter = "%d"

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleEnable()
	if not threat then
		threat = AceLibrary("Threat-1.0")
	end
	self:RegisterEvent("Threat_ThreatUpdated")
	self:RegisterEvent("Threat_ThreatCleared")
end

function mod:OnModuleDisable()
	self:UnregisterAllEvents()
end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------

function mod:GetDisplayName() return L["Global Threat"] end
function mod:GetShortDisplayName() return L["GT"] end

function mod:Threat_ThreatCleared()
	self:Reset()
	self.dirty = true
	self:RequestDisplayRefresh()
end

function mod:Threat_ThreatUpdated( name, unit, target )
	self.data[name] = threat:GetThreat(name, "_GLOBAL_")
	self.dirty = true
end
